diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 479187c..656f86c 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -33729,7 +33729,7 @@ GenerateUnivariatePowerSeries(R,FE): Exports == Implementation where
       coerce(series(genStream(f,0))$UTS(FE,x,a))$ANY1(UTS(FE,x,a))
  
     taylor(an:FE,n:SY,eq:EQ FE) ==
-      taylor(eval(an,(n :: FE) = (#1 :: FE)),eq)
+      taylor((i:I):FE +-> eval(an,(n::FE) = (i::FE)),eq)
  
     taylor(f:I -> FE,eq:EQ FE,seg:SEG NNI) ==
       (xx := retractIfCan(lhs eq)@Union(SY,"failed")) case "failed" =>
@@ -33747,7 +33747,7 @@ GenerateUnivariatePowerSeries(R,FE): Exports == Implementation where
       coerce(uts)$ANY1(UTS(FE,x,a))
  
     taylor(an,n,eq,seg) ==
-      taylor(eval(an,(n :: FE) = (#1 :: FE)),eq,seg)
+      taylor((i:I):FE +-> eval(an,(n::FE) = (i::FE)),eq,seg)
  
     laurent(f,eq,seg) ==
       (xx := retractIfCan(lhs eq)@Union(SY,"failed")) case "failed" =>
@@ -33763,7 +33763,7 @@ GenerateUnivariatePowerSeries(R,FE): Exports == Implementation where
       coerce(laurent(n0,uts)$ULS(FE,x,a))$ANY1(ULS(FE,x,a))
  
     laurent(an,n,eq,seg) ==
-      laurent(eval(an,(n :: FE) = (#1 :: FE)),eq,seg)
+      laurent((i:I):FE +-> eval(an,(n::FE) = (i::FE)),eq,seg)
  
     modifyFcn:(RN -> FE,I,I,I,I) -> FE
     modifyFcn(f,n0,nn,q,m) == (zero?((m - n0) rem nn) => f(m/q); 0)
@@ -33782,27 +33782,29 @@ GenerateUnivariatePowerSeries(R,FE): Exports == Implementation where
         q := lcm(lcm(q0,q1),q2)
         n0 := p0 * (q quo q0); n1 := p1 * (q quo q1)
         nn := p2 * (q quo q2)
-        ulsUnion := laurent(modifyFcn(f,n0,nn,q,#1),eq,segment(n0,n1))
+        ulsUnion := 
+          laurent((i:I):FE+->modifyFcn(f,n0,nn,q,i),eq,segment(n0,n1))
         uls := retract(ulsUnion)$ANY1(ULS(FE,x,a))
         coerce(puiseux(1/q,uls)$UPXS(FE,x,a))$ANY1(UPXS(FE,x,a))
       p0 := numer(r0 := lo seg); q0 := denom r0
       p2 := numer r; q2 := denom r
       q := lcm(q0,q2)
       n0 := p0 * (q quo q0); nn := p2 * (q quo q2)
-      ulsUnion := laurent(modifyFcn(f,n0,nn,q,#1),eq,segment n0)
+      ulsUnion := 
+        laurent((i:I):FE+->modifyFcn(f,n0,nn,q,i),eq,segment n0)
       uls := retract(ulsUnion)$ANY1(ULS(FE,x,a))
       coerce(puiseux(1/q,uls)$UPXS(FE,x,a))$ANY1(UPXS(FE,x,a))
  
     puiseux(an,n,eq,r0,m) ==
-      puiseux(eval(an,(n :: FE) = (#1 :: FE)),eq,r0,m)
+      puiseux((r:RN):FE+->eval(an,(n::FE) = (r::FE)),eq,r0,m)
  
-    series(f:I -> FE,eq:EQ FE) == puiseux(f(numer #1),eq,segment 0,1)
+    series(f:I -> FE,eq:EQ FE) == puiseux(r+->f(numer r),eq,segment 0,1)
     series(an:FE,n:SY,eq:EQ FE) == puiseux(an,n,eq,segment 0,1)
     series(f:I -> FE,eq:EQ FE,seg:SEG I) ==
-      ratSeg : SEG RN := map(#1::RN,seg)$UniversalSegmentFunctions2(I,RN)
-      puiseux(f(numer #1),eq,ratSeg,1)
+      ratSeg : SEG RN := map(x+->x::RN,seg)$UniversalSegmentFunctions2(I,RN)
+      puiseux((r:RN):FE+->f(numer r),eq,ratSeg,1)
     series(an:FE,n:SY,eq:EQ FE,seg:SEG I) ==
-      ratSeg : SEG RN := map(#1::RN,seg)$UniversalSegmentFunctions2(I,RN)
+      ratSeg : SEG RN := map(i+->i::RN,seg)$UniversalSegmentFunctions2(I,RN)
       puiseux(an,n,eq,ratSeg,1)
     series(f:RN -> FE,eq:EQ FE,seg:SEG RN,r:RN) == puiseux(f,eq,seg,r)
     series(an:FE,n:SY,eq:EQ FE,seg:SEG RN,r:RN) == puiseux(an,n,eq,seg,r)
diff --git a/changelog b/changelog
index 2e7a45f..aa219c6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090602 tpd src/axiom-website/patches.html 20090602.01.tpd.patch
+20090602 tpd books/bookvol10.4 GENUPS +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.07.tpd.patch
 20090601 tpd books/bookvol10.4 GENPGCD +-> conversion
 20090601 tpd src/axiom-website/patches.html 20090601.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4d137b5..204d052 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1417,5 +1417,7 @@ bookvol10.4 GALFACT +-> conversion<br/>
 bookvol10.4 GHENSEL +-> conversion<br/>
 <a href="patches/20090601.07.tpd.patch">20090601.07.tpd.patch</a>
 bookvol10.4 GENPGCD +-> conversion<br/>
+<a href="patches/20090602.01.tpd.patch">20090602.01.tpd.patch</a>
+bookvol10.4 GENUPS +-> conversion<br/>
  </body>
 </html>
